package com.ozs.service.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ozs.service.entity.MsgAlarm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.service.entity.vo.AlarmStatisticVo;
import io.lettuce.core.dynamic.annotation.Param;

/**
 * <p>
 * 报警信息表 服务类
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
public interface MsgAlarmService extends IService<MsgAlarm> {
    IPage<AlarmStatisticVo> list(String railwayCode, Integer startMonth, Integer endMonth, String alarmType, Integer pageNum, Integer pageSize);
}
