package com.ozs.service.mapper;

import com.ozs.service.entity.MsgAlarm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.service.entity.vo.AlarmStatisticVo;
import io.lettuce.core.dynamic.annotation.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 报警信息表 Mapper 接口
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Mapper
public interface MsgAlarmMapper extends BaseMapper<MsgAlarm> {
    List<AlarmStatisticVo> list(@Param("railwayCode") String railwayCode, @Param("startMonth") Integer startMonth, @Param("endMonth") Integer endMonth, @Param("alarmType") String alarmType);
}
